# verifyPaymentChannelClaim | xrpl
Documentation for xrpl

# Function verifyPaymentChannelClaim

- verifyPaymentChannelClaim(channel: string, amount: string, signature: string, publicKey: string): boolean

- Verify the signature of a payment channel claim.

  ### Returns

  True if the channel is valid.

  #### Parameters

  - ##### channel: string

    Channel identifier specified by the paymentChannelClaim.

  - ##### amount: string

    Amount specified by the paymentChannelClaim.

  - ##### signature: string

    Signature produced from signing paymentChannelClaim.

  - ##### publicKey: string

    Public key that signed the paymentChannelClaim.

  #### Returns boolean

  - Defined in packages/xrpl/src/utils/verifyPaymentChannelClaim.ts:17

Generated using TypeDoc